package _ece430;

import gui.ClosableJFrame;
import gui.In;
import gui.layouts.VerticalLayout;
import gui.run.RunButton;

import javax.swing.*;
import java.awt.*;

/**
 * Created by Robert Distinti.
 * User: default
 * Date: Sep 19, 2005
 * Time: 1:53:41 AM
 */
public class ImageMatrix extends ClosableJFrame {
    private ImageMatrixBean o=ImageMatrixBean.restore();
    private ImageCheckBoxPanel mcbp;

    // refresh is performed whenever size has changed
    private void refresh(){
        ClosableJFrame cf = this;
        Container c = cf.getContentPane();
        c.remove(mcbp);
        mcbp= new ImageCheckBoxPanel(o);
        c.add(mcbp,BorderLayout.CENTER);
        cf.pack();
        cf.setVisible(true);
    }

    public ImageMatrix(){
        setTitle("Select Image matrix");
        ClosableJFrame cf = this;
        Container c = cf.getContentPane();
        c.setLayout(new BorderLayout());

        mcbp= new ImageCheckBoxPanel(o);
        c.add(mcbp,BorderLayout.CENTER);

        JPanel jp=new JPanel(new VerticalLayout());
        c.add(jp,BorderLayout.EAST);

        jp.add(
                new RunButton("ok") {
                    public void run() {
                        mcbp.saveValues(); // save it to bean
                        o.save(); // save bean to preferences

                    }
                });
        jp.add(
            new RunButton("cancel") {
                public void run() {
                    o=ImageMatrixBean.restore();
                    refresh();
                }
            });
        jp.add(
            new RunButton("resize") {
                public void run() {
                    int size = In.getInt("input an odd number",3,33);
                    mcbp.saveValues(); // save it to bean
                    o.setMatrixSize(size);
                    refresh();
                }
            });
        refresh();
    }

    public static void main(String[] args) {
        ImageMatrix mything=new ImageMatrix();
    }



}

